Bug 971461 - [RFE] supported browsers message is missing a link to documentation/kb [TEXT]
[RFE] supported browsers message is missing a link to documentation/kb [TEXT]
Status: CLOSED WONTFIX
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: ovirt-engine-webadmin-portal (Show other bugs)
unspecified
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Nobody's working on this, feel free to take it
Pavel Stehlik
ux
: FutureFeature, Improvement
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-06-06 11:12 EDT by Benjamin Kahn
Modified: 2014-06-22 05:38 EDT (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-06-22 05:38:29 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Benjamin Kahn 2013-06-06 11:12:07 EDT
Description of problem:
When trying to log into the "Red Hat Enterprise Virtualization Manager Web Administration" application, browser compatibility messages are scary and unhelpful.

Version-Release number of selected component (if applicable):


How reproducible:
100%

Steps to Reproduce:
1. Try to access "Red Hat Enterprise Virtualization Manager Web Administration" with an unsupported or semi-supported browser

Actual results:
Unhelpful message "This Browser version isn't optimal for displaying the application graphics (refer to Documentation for details)" which provide no actual link to the documentation.

Expected results:
Either a reasonable description of the error and what to do about it OR include a direct link to the documentation OR a "more information" link which includes the part of the documentation in question.

Some sample messages that would work better: 

"Your screen resolution is too low to display this web site; please try again on a monitor which supports at least 3017 x 9052"

"Your browser does not have support for Flash 29. Please install it using this link."

"Your operating system is not supported, please use 32-bit Windows 3.1 with either Google Chrome 28 or higher or IE 5.5 or above."

Additional info:
If the application will NOT work with my configuration, do not display the login prompt.
Comment 2 Itamar Heim 2013-07-10 11:20:31 EDT
i don't see how we can maintain such info in the code.
i prefer a link to KB, which could also cover more details on known caveats (you can use firefox on windows, but do X to use spice, etc.)

lee - thoughts?
Comment 3 Benjamin Kahn 2013-07-10 11:33:34 EDT
How could this be?  Of course you can. 

The release has a compatibility requirements list which says: this must be supported on Lynx running on QNX with the Active X extension installed; we desire compatibility with Netscape 3 on Windows 3.1 support.

Testing and QE use that requirements list to make sure it works. 

The code is what is determining the compatibility in the first place, so keeping the list up to date /sounds/ like it should be easy.
Comment 4 Lee Yarwood 2013-07-11 09:31:26 EDT
(In reply to Itamar Heim from comment #2)
> i don't see how we can maintain such info in the code.
> i prefer a link to KB, which could also cover more details on known caveats
> (you can use firefox on windows, but do X to use spice, etc.)
> 
> lee - thoughts?

I would suggest a link to the product docs installed locally [1] that could in turn contain a link to a KB that we can update post GA (as we do with upgrade caveats).

[1] ../../docs/en-US/html/Installation_Guide/Red_Hat_Enterprise_Virtualization_Manager_Client_Requirements.html
Comment 5 Einav Cohen 2013-09-11 17:01:57 EDT
this will require branding (as there is no local documentation upstream, and we probably wouldn't want to link to a KB on upstream as well).
Comment 6 Itamar Heim 2014-06-22 05:38:29 EDT
Closing old bugs. If this issue is still relevant/important in current version, please re-open the bug.

Note You need to log in before you can comment on or make changes to this bug.